# Generated from flying_objects-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name flying_objects

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: make moving objects around your website
License: MIT
URL: https://github.com/errakeshpd/flying_objects
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
One important feature of DHTML is it's ability to move elements around the
page freely, without having to be tied down to one single spot on the page.
"Virtual Max" took full advantage of this feature and created his cool
"floating images" script for our Dynamic Drive surfers to use and enjoy. It's
a cross-browser script that moves any number of images around the page (by
wrapping the images inside <div>s, and animating each <div>), each following a
randomly determined path. Furthermore, the images are clickable, making this
script not only insanely cool, but practical as well!.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.0-1
- Initial package
